<?php 
/**
 * 微动CMS
 * ============================================================================
 * * 版权所有 青岛微动一百网络科技有限公司，并保留所有权利。
 * 网站地址: http://bbs.weidong100.com
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
 * 更多系统：shopNR本地电商系统、微速卖-云外卖系统
 * 
*/
class ConfigModel extends Model{
  public function getallConfig(){
    $Config = $this->field('name,value')->select();
    foreach($Config as $key=>$value){
      $Config[$value['name']] = $value['value'];
      unset($Config[$key]);
    }
    if(!session('?Config')){
        session('Config',$Config);
    }
  }
  public function changeConfig($data){
    $right = 1;
    $Config = $this->field('con_id,name,value')->select();
    foreach($Config as $key=>$value){
      $Config[$value['name']] = $value['value'];
      unset($Config[$key]);
      if($data[$value['name']]){
        if($Config[$value['name']] != $data[$value['name']]){
          $update[] = array('con_id'=>$value['con_id'],'name'=>$value['name'],'value'=>$data[$value['name']]);
          unset($data[$value['name']]);//更新
        }elseif($Config[$value['name']] == $data[$value['name']]){
          unset($data[$value['name']]);//不做操作
        }
      }else{
        $del[] = $value['con_id'];
        unset($data[$value['name']]);//删除
      }
    }
    if(isset($update)){
      foreach($update as $key=>$value){
          if($this->save($value)){
            $right++;
          }
      }
    }
    if($this->delete($del)){
      $right++;
    }
    foreach($data as $key=>$value){
      if($value&&$key!='__hash__'){
        $add[] = array('name'=>$key,'value'=>$value);
      }
    }
    if(isset($add)){
      foreach($add as $key=>$value){
          if($this->add($value)){
            $right++;
          }
      }
    }
    if($right != 1){
      return true;
    }else{
      return false;
    }
  }
}
?>